/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Holiday
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Holiday {
  @SerializedName("date")
  private String date = null;

  @SerializedName("name")
  private String name = null;

  public Holiday date(String date) {
    this.date = date;
    return this;
  }

   /**
   * Date of this Holidays. Ex : \&quot;2013-01-07\&quot;
   * @return date
  **/
  @ApiModelProperty(value = "Date of this Holidays. Ex : \"2013-01-07\"")
  public String getDate() {
    return date;
  }

  public void setDate(String date) {
    this.date = date;
  }

  public Holiday name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Name of this Holidays. Ex : \&quot;Epiphany Holiday\&quot;
   * @return name
  **/
  @ApiModelProperty(value = "Name of this Holidays. Ex : \"Epiphany Holiday\"")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Holiday holiday = (Holiday) o;
    return Objects.equals(this.date, holiday.date) &&
        Objects.equals(this.name, holiday.name);
  }

  @Override
  public int hashCode() {
    return Objects.hash(date, name);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Holiday {\n");
    
    sb.append("    date: ").append(toIndentedString(date)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

